Subject: Re: [patch net-next 00/15] mlxsw: Reflect nexthop status changes

From: Jiri Pirko <[email-masked]>
Date: Wed, 8 Feb 2017 21:58:35 +0100

Wed, Feb 08, 2017 at 09:43:45PM CET, [email-masked] wrote:
>From: David Miller <[email-masked]>
>Date: Wed, 08 Feb 2017 15:28:48 -0500 (EST)
>
>> Looks really nice, series applied, thanks!
>
>Jiri, just FYI, I bungled up merging this.  And I am trying to fix
>that up.
>
>I forgot to include patch #14, but I'll apply that now in the
>mainline.

Yeah, the lost patch #14. I had to resend it to get it to patchwork.
That's probably what confused your tools.

>
>I get a warning, in mlxsw_sp_nexthop_group_create() because the
>compiler thinks that 'nh' can be use uninitialized.  And I think
>the compiler is pointing out something legitimate.
>
>This cleanup loop in err_nexthop_group_insert and err_nexthop_init
>needs to take the 'nh' from &nh_grp->nexthops[i] instead of using
>whatever is left in 'nh' for all mlxsw_sp_nexthop_fini() calls.
>
>So I'm going to augment the commit of patch #14 to make it go:
>
>@@ -1667,8 +1667,10 @@ mlxsw_sp_nexthop_group_create(struct mlxsw_sp *mlxsw_sp, struct fib_info *fi)
> 
> err_nexthop_group_insert:
> err_nexthop_init:
>-	for (i--; i >= 0; i--)
>+	for (i--; i >= 0; i--) {
>+		nh = &nh_grp->nexthops[i];
> 		mlxsw_sp_nexthop_fini(mlxsw_sp, nh);
>+	}
> 	kfree(nh_grp);
> 	return ERR_PTR(err);
> }

Oh. I did not catch is. But this is totally unrelated to this patchset.
Please send it as a separate fix. Or I can do it if yo want.

Fixes: a7ff87acd995 ("mlxsw: spectrum_router: Implement next-hop routing")
Acked-by: Jiri Pirko <[email-masked]>